﻿
using System;
using Wisej.Web;

namespace CustomRibbonTrackBar
{
	public partial class Window1 : Form
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void Window1_Load(object sender, EventArgs e)
		{
			var trackBar = new TrackBar
			{

				Dock = DockStyle.Right,
				Width = 80,
				TickStyle = TickStyle.None,
				MaximumSize = new System.Drawing.Size(0, 25),
				AutoSize = false
			};
			trackBar.ValueChanged += (s, args) =>
			{
				AlertBox.Show($"TrackBar value: {trackBar.Value}");
			};

			this.ribbonBar1.Controls.Add(trackBar);
			this.ribbonBar1.Eval("this.getChildControl('tabview').getChildControl('bar').setMarginRight(100)");
		}

	}
}
